# std::bad_exception Class Reference

Inheritance diagram for std::bad_exception:

List of all members.

## Detailed Description

If an exception is thrown which is not listed in a function's exception specification, one of these may be thrown.

Definition at line 69 of file exception.

## Public Member Functions

- bad_exception () throw ()
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* std::bad_exception::what | ( |  | ) | const throw ()`[virtual]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- exception